%global install_loc    %{_datadir}/eclipse/dropins/packagekit
%global debug_package %{nil}

Name:           eclipse-packagekit
Version:        0.1.0
Release:        7%{?dist}
Summary:        PackageKit integration tools for Eclipse (Incubation)

Group:          Development/Tools
License:        EPL
URL:            https://fedorahosted.org/eclipse-packagekit/
Source0:        https://git.fedorahosted.org/cgit/eclipse-packagekit.git/snapshot/eclipse-packagekit-%{version}.tar.bz2
BuildArch:     noarch
BuildRequires: dbus-java
BuildRequires: eclipse-cdt
BuildRequires: feclipse-maven-plugin
Requires: eclipse-platform >= 3.4.0
Requires: dbus-java

%description
PackageKit integration plugin. It also contains autotools and rpm
plugins integration code.

%prep
%setup -q

%build
mvn-rpmbuild clean verify -DskipTychoVersionCheck

%install
install -d -m 755 %{buildroot}%{install_loc}

mvn-rpmbuild org.fedoraproject:feclipse-maven-plugin:install \
    -DsourceRepo=org.eclipse.linuxtools.packagekit.repo/target/org.eclipse.linuxtools.packagekit.repo-%{version}-SNAPSHOT.zip \
    -DtargetLocation=%{buildroot}%{install_loc}/eclipse -DskipTychoVersionCheck
pushd %{buildroot}%{install_loc}/eclipse/plugins
ln -s %{_javadir}/dbus-java/dbus.jar dbus.jar
ln -s %{_jnidir}/unix.jar unix.jar
ln -s %{_jnidir}/hexdump.jar hexdump.jar
popd

%files
%{install_loc}
%doc org.eclipse.linuxtools.packagekit.feature/license.html
%doc org.eclipse.linuxtools.packagekit.feature/epl-v10.html

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.1.0-5
- Bump release version to fix previous commit.
- Skip tycho version check.

* Mon Jul 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.1.0-4
- Rebuild to remove content.jar and artifacts.jar (RHBZ#986618).

* Wed Jul 17 2013 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-3
- Another try to fix the symlinks.

* Tue Jul 16 2013 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-2
- Fix symlinks and make it noarch.

* Fri Jul 5 2013 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-1
- Update to upstream release 0.1.0.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 3 2012 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-3
- Fix build with new pdebuild.
- Fix url to point to the new home.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 8 2011 Alexander Kurtakov <akurtako@redhat.com> 0.0.2-1
- Update to upstream 0.0.2.
- Review fixes.

* Tue Jul 5 2011 Alexander Kurtakov <akurtako@redhat.com> 0.0.1-1
- Initial package.
